<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <path>hdg.ac</path>

  <animation>
    <object-name>fond</object-name>
    <object-name>face</object-name>
    <object-name>face2</object-name>
    <object-name>bug.hdg</object-name>
    <object-name>knob.hdg</object-name>
    <object-name>knob.offset</object-name>

    <object-name>vitre</object-name>
  </animation>

  <animation>
    <type>noshadow</type>
    <object-name>fond</object-name>
    <object-name>face</object-name>
    <object-name>face2</object-name>
    <object-name>bug.hdg</object-name>
    <object-name>knob.hdg</object-name>
    <object-name>knob.offset</object-name>
    <object-name>vitre</object-name>
  </animation>

  <!-- working for Compositor -->
  <effect>
    <inherits-from>../../../../Effects/Glass/glass</inherits-from>
    <object-name>vitre</object-name>
  </effect>

  <animation>
    <type>material</type>
    <object-name>face</object-name>
    <object-name>face2</object-name>
    <object-name>bug.hdg</object-name>
    <object-name>knob.hdg</object-name>
    <object-name>knob.offset</object-name>
    <condition>
      <property>/controls/electric/battery-switch</property>
    </condition>
    <emission>
      <factor-prop>controls/lighting/instruments-norm</factor-prop>
      <red>   0.50 </red>
      <green> 0.40 </green>
      <blue>  0.30 </blue>
    </emission>
  </animation>

  <animation>
    <type>rotate</type>
    <object-name>face</object-name>
    <object-name>bug.hdg</object-name>
    <!-- <property>orientation/heading-magnetic-deg</property> -->
    <property>instrumentation/heading-indicator/indicated-heading-deg</property>
    <factor>-1</factor>
    <axis>
      <x> -1 </x>
      <y>  0 </y>
      <z>  0 </z>
    </axis>
  </animation>

  <animation>
    <type>rotate</type>
    <object-name>bug.hdg</object-name>
    <property>autopilot/settings/heading-bug-deg</property>
    <axis>
      <x> -1 </x>
      <y>  0 </y>
      <z>  0 </z>
    </axis>
  </animation>

  <!-- Heading Bug control -->
  <animation>
    <type>knob</type>
    <object-name>knob.hdg</object-name>
    <property>autopilot/settings/heading-bug-deg</property>
    <factor>6</factor>
    <axis>
      <x> -1 </x>
      <y>  0 </y>
      <z>  0 </z>
    </axis>
    <center>
      <x-m>  0.000 </x-m>
      <y-m>  0.032 </y-m>
      <z-m> -0.028 </z-m>
    </center>
    <action>
      <binding>
        <command>property-adjust</command>
        <property>autopilot/settings/heading-bug-deg</property>
        <factor>1</factor>
        <min>1</min>
        <max>361</max>
        <wrap>true</wrap>
      </binding>
    </action>
    <hovered>
      <binding>
        <command>set-tooltip</command>
        <tooltip-id>dg-bug</tooltip-id>
        <mapping>heading</mapping>
        <label>Heading Bug: %3d</label>
        <property>autopilot/settings/heading-bug-deg</property>
      </binding>
    </hovered>
  </animation>

  <!-- Heading Offset -->
  <animation>
    <type>knob</type>
    <object-name>knob.offset</object-name>
    <property>instrumentation/heading-indicator/offset-deg</property>
    <factor>6</factor>
    <axis>
      <x> -1 </x>
      <y>  0 </y>
      <z>  0 </z>
    </axis>
    <center>
      <x-m>  0.000 </x-m>
      <y-m> -0.032 </y-m>
      <z-m> -0.028 </z-m>
    </center>
    <action>
      <binding>
        <command>property-adjust</command>
        <property>instrumentation/heading-indicator/offset-deg</property>
        <factor>1</factor>
        <min>1</min>
        <max>361</max>
        <wrap>true</wrap>
      </binding>
    </action>
    <hovered>
      <binding>
        <command>set-tooltip</command>
        <tooltip-id>dg-offset</tooltip-id>
        <mapping>heading</mapping>
        <label>Indicated heading: %3d</label>
        <property>instrumentation/heading-indicator/indicated-heading-deg</property>
      </binding>
    </hovered>
  </animation>

</PropertyList>
